Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000176Bananian Linux[All Projects] Kernelpublic2015-11-14 19:002016-03-19 20:02
Reporterrodrigoaguilera 
Assigned ToNico 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version16.04Fixed in Version16.04 
Summary0000176: Removing 4.2 kernel packages result in unbootable system
DescriptionJust to be curious I installed the new kernel packages

apt-get install linux-image-4.2.0-bananian linux-firmware-image-4.2.0-bananian

Everything booted fine but when I found out I had no video I wanted to go back to kernel 3.4.

I uninstalled what I previously installed.

apt-get remove linux-image-4.2.0-bananian linux-firmware-image-4.2.0-bananian

But the system didn't boot.
I mounted the SD card and removed uImage-nex and I'm back at 3.4

Maybe is possible to remove that file when uninstalling.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000320)
Matthias (reporter)
2016-01-06 23:34

Same problem with linux-image-4.3.3-bananian. I wanted to return to kernel linux-image-4.2.0-bananian. A note in the FAQ would be useful :)
(0000321)
Nico (manager)
2016-01-07 06:38

Yes, the problem is known with all 4.x kernel versions and will be fixed with the next release.
For the meantime use "bananian-config" to go back to kernel 3.4.x.

To switch between 4.x kernels use "aptitude reinstall linux-image-4.x-bananian"

Is there any reason to go back to 4.2 after using 4.3.3?
(0000322)
Matthias (reporter)
2016-01-07 15:16

After I removed the kernel 4.3.3 with aptitude, my Banana Pi still booted the kernel 4.3.3 but network and a USB keyboard were not working. (I think aptitude removed the modules)

First I thought my Banana Pi is not booting anymore because I couldn't login with ssh. But I was wrong. The Banana Pi is still booting but the system is not working fully because simply the kernel file isn't enough for a running system.

So, I mounted the SD-Card with my Linux computer and removed the file uImage-next. After that my Banana Pi booted the old kernel 3.4.* and I could reinstall the kernel 4.2.0:

aptitude reinstall linux-image-4.2.0-bananian

I switched back to 4.2 because I wanted to compare the crypto performance between kernel 4.2.0 and kernel 4.3.3.
(0000335)
Nico (manager)
2016-03-19 20:02

https://github.com/Bananian/etc/commit/f5b08d1a6eeeb67258a64d3d104d16bb2edd2733 [^]

- Issue History
Date Modified Username Field Change
2015-11-14 19:00 rodrigoaguilera New Issue
2015-11-17 18:16 Nico Assigned To => Nico
2015-11-17 18:16 Nico Status new => assigned
2015-11-17 18:17 Nico Target Version => 16.04
2016-01-06 23:34 Matthias Note Added: 0000320
2016-01-07 06:38 Nico Note Added: 0000321
2016-01-07 15:16 Matthias Note Added: 0000322
2016-03-19 20:02 Nico Note Added: 0000335
2016-03-19 20:02 Nico Status assigned => resolved
2016-03-19 20:02 Nico Fixed in Version => 16.04
2016-03-19 20:02 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker